variable "accept_tgw_invitation" {
  description = "Whether to accept the transit gateway sharing invitation. Only done once per account."
  type        = bool
}

variable "tgw_id" {
  description = "Transit Gateway ID"
  type = string
}

variable "enable_nat_gateway" {
  description = "Whether to add a NAT gateway to the VPC"
  type = bool
  default = false
}

variable "tgw_share_arn" {
  description = "The ARN of the share to accept."
  type        = string
  default     = ""
}

variable "vpc_info" {
  description = "A map of information about the VPC to create. Must contain `name` and `cidr`."
  type = map
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

# Inherited
variable "account_name" { type = string }
variable "trusted_ips" { type = list(string) }
variable "dns_servers" { type = list(string) }
variable "dns_info" { type = map }
variable "cidr_map" { type = map }
variable "standard_tags" { type = map }
variable "aws_region" { type = string }
variable "aws_account_id" { type = string }
variable "aws_partition" { type = string }
